package com.miyzh.entity;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Create on
 *
 * @author sunyq
 */
@Data
public class ClcReceiptSelfpay {
    private String id;
    private String clinicId;
    private String patientId;
    private String bizId;
    private String treatId;
    private String visitCode;
    private String detailInvoiceId;
    private String settlementId;
    private String receiptOprType;
    private String payType;
    private BigDecimal payPrice = BigDecimal.ZERO;
    private Date createTime;
    private String createOperatorId;
    private String createOperatorName;
    private Date updateTime;
    private String updateOperatorId;
    private String updateOperatorName;
    private Date cancelTime;
    private String cancelOperatorId;
    private String cancelOperatorName;
    //支付方式的汉字
    private String payValue;
}
