package com.miyzh.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author liyc
 * @since 2018-04-10
 */
@Data
public class InsNurseProjHistoryDetails implements Serializable{

private static final long serialVersionUID=1L;

        
private String id;
            /**
     * 门诊id
     */
    
private String clinicId;
/**
     *护理服务主表id
     */

private String nurseProjectHistoryId;
            /**
     * 患者id
     */
    
private String patientId;
            /**
     * 患者医保编号
     */
    
private String patientInsId;
            /**
     * 患者姓名
     */
    
private String patientName;
            /**
     * 就诊编号
     */
    
private String visitCode;
            /**
     * 明细账单号
     */
    
private String settleDetailId;
        
private String detailSeq;
            /**
     * 服务实际发生日期
     */
    
private Date costHappenedTime;
            /**
     * 收费大类1：机构照护； 2：居家照护
     */
    
private String mainType;
            /**
     * 医疗机构内部目录编码
     */
    
private String nurseProjectId;
            /**
     * 医疗机构内部目录名称
     */
    
private String nurseProjectName;
            /**
     * 单价  2~4位小数
     */
    
private BigDecimal singlePrice;
            /**
     * 计价数量  整数，不允许为负数
     */
    
private BigDecimal totalCount;
            /**
     * 金额 2位小数，不允许为负数
     */
    
private BigDecimal totalPrice;
            /**
     * 医师编码/护士编码  医师编码或护士编码传一个即可
     */
    
private String clinicUserId;
            /**
     * 返回信息中的 总费用
     */
    
private BigDecimal backTotalPrice;
            /**
     *  
     */
    
private String createId;
            /**
     *  
     */
    
private String createName;
            /**
     *  
     */
    
private Date createTime;
            /**
     *  
     */
    
private String updateId;
            /**
     *  
     */
    
private String updateName;
            /**
     *  
     */
    
private Date updateTime;
            /**
     *  
     */
    
private String deleteId;
            /**
     *  
     */
    
private String deleteName;
            /**
     *  
     */
    
private Date deleteTime;

}
