package com.miyzh.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 
 * </p>
 *
 * @author liyc
 * @since 2018-04-10
 */
@Data
public class InsNurseProjectHistory implements Serializable{

private static final long serialVersionUID=1L;

            /**
     * 序列号
     */
    
private String id;
            /**
     * 门诊id
     */
    
private String clinicId;
            /**
     * 患者id
     */
    
private String patientId;
    /**
     * 费用发生时间
     */

    private Date costHappenedTime;
    /**
     * 医生、护士编码
     */

    private String clinicUserId;
            /**
     * 患者医保编号
     */
    
private String patientInsId;
            /**
     * 患者姓名
     */
    
private String patientName;
            /**
     * 状态标识 1：新增 2：撤销
     */
    
private String status;
            /**
     * 就诊编号
     */
    
private String visitCode;
            /**
     * 明细账单号
     */
    
private String settleDetailId;
            /**
     * 总费用
     */
    
private BigDecimal totalCost;

private List<InsNurseProjHistoryDetails> details;
        
private String createId;
        
private String createName;
        
private Date createTime;
        
private String updateId;
        
private String updateName;
        
private Date updateTime;
        
private String deleteId;
        
private String deleteName;
        
private Date deleteTime;

    /**
     * 0未上传，1为已上传
     */
    private int uploadFlag=0;

private InsPatientInfo insPatientInfo;

    private String settlementTypeName;
    private String departmentId;
    private String departmentValue;
    private String doctorId;
    private String doctorName;

    private boolean receiptFlag = false;

    /**
     * 患者住院信息
     */
    private InsHospitalSign insHospitalSign;


    /**
     * 护理员id
     */
    private String caregiverId;

    /**
     * 护理员name
     */
    private String caregiverName;

    /**
     * 记账状态1 已记账，0未记账
     */
    private String settlementStatus;

}
