package com.miyzh.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * Created by mlj on 2018/6/25.
 */
@Data
public class ResponseInsDSettlementVO implements Serializable {

    private BigDecimal insYearlyOrdinatePayment;
    private BigDecimal checkAllSelf;
    private BigDecimal insSubsidyScore;
    private BigDecimal injurySubsidyScore;
    private BigDecimal totalScore;
    private BigDecimal ordinateTotalScore;
    private BigDecimal personalCash;
    private BigDecimal insurancePay;
    private BigDecimal agentRescueTotalScore;
    private BigDecimal accountRemain;
    private BigDecimal seriousDiseaseInsTotalCost;
    private BigDecimal seriousDiseaseHelpTotalCost;
    private BigDecimal partOrdination;
    private BigDecimal accountPayment;
    private BigDecimal allSupplementInsAmount;
    private BigDecimal premiumsPaymentAmount;
    private BigDecimal medicineTotalOrdinate;

    private BigDecimal totalPay;
    private String diseases;
    private String insType;
    private String patientName;
    private String diseaseValue;
    private BigDecimal diseaseLimitStandard;
    private BigDecimal diseaseLimitStandardForSettle;
    private String patientInsuranceId;
    /**
     * 权重系数
     */
    private BigDecimal weightCoefficient;
    /**
     * 大病病案号
     */

    private String diseasesMedicalRecordNo;


    private String userType;
    private String countNum;
    private String dateMonth;
    private String patientNum;
    private int sortIndex;
    private double nursePayStandard;
    private long dayNum;
    private BigDecimal nursePay;


    private String settleTransactionId;
    private String prescriptionId;
    private Date settlementTime;
    private String invoiceNumber;
    private String hospitalDate;

    /**
     * 出院日期，计算护理包干新增字段 @author liyc
     */
    private String outHospitalDate;

    //照护费
    private BigDecimal overallPay ;

    //发票号
    private int invoiceCount;
    //开始时间
    private String startTime;
    //结束时间
    private String endTime;
    //范围内大额救助
    private BigDecimal seriousDiseaseLimitAmount;
    //离休补贴
    private BigDecimal retiredPayment;
    //补充保险范围外救助
    private BigDecimal outsideLargeAmountPayment;

    //扶贫特惠保险支付额
    private BigDecimal povertyWaiverInsurancePay;
}
