package com.miyzh.entity;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

import java.math.BigDecimal;


@Data
@XStreamAlias("BillDetail")
public class BillDetailVo {

    @XStreamAlias("BDetailNo")
    private String bDetailNo;

    @XStreamAlias("BNo")
    private String bno;


    @XStreamAlias("DOC_NUMBER")
    private String docNumber;

    @XStreamAlias("ITEM_DATE")
    private String itemDate;

    @XStreamAlias("ITEM_ID")
    private String itemId;

    @XStreamAlias("ITEM_NAME")
    private String itemName;

    @XStreamAlias("YYITEM_ID")
    private String yyItemId;

    @XStreamAlias("YYITEM_NAME")
    private String yyItemName;

    @XStreamAlias("ITEM_TYPE")
    private int itemType;

    @XStreamAlias("USAGE_UNIT")
    private String usageUnit;

    @XStreamAlias("Specification")
    private String specification;

    @XStreamAlias("USAGE")
    private String usage;

    @XStreamAlias("Z_PhysicianAP")
    private String zPhysicianAP;

    @XStreamAlias("DocLevel")
    private String docLevel;

    @XStreamAlias("PRICE")
    private BigDecimal price;

    @XStreamAlias("NUMBERS")
    private BigDecimal numbers;

    @XStreamAlias("COSTS")
    private BigDecimal costs;

    @XStreamAlias("DeptCode")
    private String deptCode;

    @XStreamAlias("DEPTNAME")
    private String deptName;

    @XStreamAlias("AKF005")
    private String aKF005;

    @XStreamAlias("DocName")
    private String docName;


    @XStreamAlias("DOUSAGE")
    private BigDecimal dousage;

    @XStreamAlias("FREQUENCY_INTERVAL")
    private String frequencyInterval;

    @XStreamAlias("USAGE_DAYS")
    private String usageDays;

    @XStreamAlias("ELIGIBLE_AMOUNT")
    private BigDecimal eligibleAmount;

    @XStreamAlias("SELF_PROPORTION")
    private BigDecimal selfProportion;

    @XStreamAlias("DETAIL_INVOICE_ID")
    private String detailInvoiceId;


}
